## net.sf.snowball.ext
Class PortugueseStemmer

    java.lang.Object
      net.sf.snowball.SnowballProgram
          net.sf.snowball.ext.PortugueseStemmer

    public class PortugueseStemmer

extends SnowballProgram

Generated class implementing code defined by a snowball script.

Field Summary

Fields inherited from class net.sf.snowball.SnowballProgram
`bra, current, cursor, ket, limit, limit_backward`

Constructor Summary
`PortugueseStemmer()`

Method Summary
`boolean` `stem()`

Methods inherited from class net.sf.snowball.SnowballProgram
`assign_to, copy_from, eq_s_b, eq_s, eq_v_b, eq_v, find_among_b, find_among, getCurrent, in_grouping_b, in_grouping, in_range_b, in_range, insert, insert, out_grouping_b, out_grouping, out_range_b, out_range, replace_s, setCurrent, slice_check, slice_del, slice_from, slice_from, slice_to`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PortugueseStemmer

    public PortugueseStemmer()

Method Detail

### stem

    public boolean stem()

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.